From: "Johannes Huber" <johu@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/polybar/
Date: Wed, 1 Jan 2020 21:12:22 +0000 (UTC) [thread overview]
Message-ID: <1577913119.fd045db6c10cdbd2904036bd26f8b5512ded0fb8.johu@gentoo> (raw)
commit: fd045db6c10cdbd2904036bd26f8b5512ded0fb8
Author: Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 1 21:10:33 2020 +0000
Commit: Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Wed Jan 1 21:11:59 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd045db6
x11-misc/polybar: Version bump 3.4.2
Closes: https://bugs.gentoo.org/688374
Closes: https://bugs.gentoo.org/698924
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Johannes Huber <johu <AT> gentoo.org>
x11-misc/polybar/Manifest | 3 ++
x11-misc/polybar/polybar-3.4.2.ebuild | 64 +++++++++++++++++++++++++++++++++++
2 files changed, 67 insertions(+)
diff --git a/x11-misc/polybar/Manifest b/x11-misc/polybar/Manifest
index d4f83e2bd94..a1f10592356 100644
--- a/x11-misc/polybar/Manifest
+++ b/x11-misc/polybar/Manifest
@@ -1,3 +1,6 @@
DIST i3ipcpp-0.7.1.tar.gz 191417 BLAKE2B 62b76a0921c78f374309d26856c01d1467b8bd181ce922fd47daec406afda9d76eea9a1f473b4899e22f99e2ef36fc70f72db1bb17eb1f3e71a8431c2634b915 SHA512 ef9f591bb4436916ad038bcb0c15ea3415d1978ff264fb276108ddac89c98515c464fbf252429f6a76589cb78e1434adba2efefb5a844dadad0e261f3806fb72
+DIST i3ipcpp-21ce9060ac7c502225fdbd2f200b1cbdd8eca08d.tar.gz 191599 BLAKE2B 85488a6c2ab9c6f653b499ceaa6d8e803dd8b32cd701a7fbbe151f7f3ea2dc30555c520ded53f023a21b119be97c2b07ae1ab413479cfde677e2073f3d48e36b SHA512 0000ba136bd531899ce9e87d458bd6f7d16f45509def37e4fd7aafc16d0e122fe5f56d0eb9dbc3e722dbb6c9812913a7aafa4b749a9c727ab0988908b1e2a425
DIST polybar-3.3.1.tar.gz 248790 BLAKE2B 30c2cd2ff537f3a2fe2fe7ce489b5a0ab76a54cd42bbdf8b3727e5f4298898e289c6ea10a460385d8bcdc8ab11749255573bf7d728a01eae895a1ed8a2214c27 SHA512 c0bfaf99dcd19f8fcca8bd041c0f9e5f11fb822c92cf12edc2c59e67896f566ee46d1a0d75f5583d393af3a1958c3244a4eb28224f6336e9eaa98a50d740f834
+DIST polybar-3.4.2.tar.gz 253194 BLAKE2B 136dd32d524902fccbf9db2b2fa8ed582d45565aa0e834af9610e6f692ef70d3e5e066c6021060df9cedf2e1aa2c92753e4fc4ce9c0935795ef4b0056c273687 SHA512 2205847ebc03040e8d2a2581d2c70e940157c5dba71e0c2d086c0f0971a6ffd83c42846a85dd93165512f35710e3f3af8b4494bcd695f71ef0ac501f74753dfd
DIST xpp-1.4.0.tar.gz 84095 BLAKE2B 2af4221953abe7f40473c55cd50c608b54ebc85a62be65af987ed5e6c5eaf56fbd92531788becf39ba5ad52099ac78f36e9b2a2515b473f4d86ed5fda3fa5065 SHA512 d34cbbe2391db36db7dffac0415d26b7487536e97c4d7efd472ab0aeffa4c8e757ee030b05e2aa1cfa8a591ee591bb96a6db7eb9fa5850027f958e92f078739c
+DIST xpp-8c019e6d7fefd2468791bc1cbf90d68ff7c1ba33.tar.gz 83974 BLAKE2B 6ea8599136288c006b6993bd6c704ec32d82773153733b4bc6a9c3f326eaf6f3b155d92f270eeb14d57b399f7b5ea0f6bdd5cee41bb5bdf4c1650f337b77f857 SHA512 92874b25305b3be777e739122ff82f1ba16b8e2e445e8ee4891918074ea8ea371f2016d7901cfc477d0286a9e15910c4cee431a11eb71e32728bfbf561313e4f
diff --git a/x11-misc/polybar/polybar-3.4.2.ebuild b/x11-misc/polybar/polybar-3.4.2.ebuild
new file mode 100644
index 00000000000..43a60e76c0a
--- /dev/null
+++ b/x11-misc/polybar/polybar-3.4.2.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+XPP_COMMIT="8c019e6d7fefd2468791bc1cbf90d68ff7c1ba33"
+I3IPCPP_COMMIT="21ce9060ac7c502225fdbd2f200b1cbdd8eca08d"
+inherit cmake-utils python-single-r1
+
+DESCRIPTION="A fast and easy-to-use tool for creating status bars"
+HOMEPAGE="https://github.com/polybar/polybar"
+SRC_URI="https://github.com/polybar/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/polybar/xpp/archive/${XPP_COMMIT}.tar.gz -> xpp-${XPP_COMMIT}.tar.gz
+ https://github.com/polybar/i3ipcpp/archive/${I3IPCPP_COMMIT}.tar.gz -> i3ipcpp-${I3IPCPP_COMMIT}.tar.gz"
+
+KEYWORDS="~amd64 ~x86"
+LICENSE="MIT"
+SLOT="0"
+
+IUSE="alsa curl i3wm ipc mpd network pulseaudio"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+ ${PYTHON_DEPS}
+ x11-base/xcb-proto
+ x11-libs/cairo[xcb]
+ x11-libs/libxcb[xkb]
+ x11-libs/xcb-util-image
+ x11-libs/xcb-util-wm
+ x11-libs/xcb-util-xrm
+ alsa? ( media-libs/alsa-lib )
+ curl? ( net-misc/curl )
+ i3wm? ( dev-libs/jsoncpp )
+ mpd? ( media-libs/libmpdclient )
+ network? ( net-wireless/wireless-tools )
+ pulseaudio? ( media-sound/pulseaudio )
+"
+
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ rmdir "${S}"/lib/xpp || die
+ mv "${WORKDIR}"/xpp-$XPP_COMMIT "${S}"/lib/xpp || die
+
+ rmdir "${S}"/lib/i3ipcpp || die
+ mv "${WORKDIR}"/i3ipcpp-$I3IPCPP_COMMIT "${S}"/lib/i3ipcpp || die
+
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DENABLE_ALSA="$(usex alsa)"
+ -DENABLE_CURL="$(usex curl)"
+ -DENABLE_I3="$(usex i3wm)"
+ -DBUILD_IPC_MSG="$(usex ipc)"
+ -DENABLE_MPD="$(usex mpd)"
+ -DENABLE_NETWORK="$(usex network)"
+ -DENABLE_PULSEAUDIO="$(usex pulseaudio)"
+ )
+
+ cmake-utils_src_configure
+}
next reply other threads:[~2020-01-01 21:12 UTC|newest]
Thread overview: 77+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-01-01 21:12 Johannes Huber [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-31 6:47 [gentoo-commits] repo/gentoo:master commit in: x11-misc/polybar/ John Helmert III
2024-07-28 18:51 John Helmert III
2024-07-28 18:51 John Helmert III
2024-05-11 19:08 Sam James
2024-05-11 19:08 Sam James
2024-01-08 5:50 John Helmert III
2024-01-08 5:50 John Helmert III
2023-11-27 18:12 John Helmert III
2023-11-20 14:36 John Helmert III
2023-06-11 19:00 John Helmert III
2023-06-11 7:37 Andreas Sturmlechner
2023-02-28 12:15 Yixun Lan
2022-10-08 2:56 John Helmert III
2022-10-08 2:56 John Helmert III
2022-10-08 2:56 John Helmert III
2022-09-10 0:48 Sam James
2022-09-09 17:24 John Helmert III
2022-07-19 16:44 John Helmert III
2022-07-06 0:20 Sam James
2022-07-05 20:09 John Helmert III
2022-05-04 13:59 John Helmert III
2022-04-04 18:51 John Helmert III
2022-03-05 15:37 John Helmert III
2022-03-03 5:23 John Helmert III
2022-03-02 1:42 John Helmert III
2022-01-30 1:47 John Helmert III
2022-01-30 1:47 John Helmert III
2021-11-01 10:02 Sam James
2021-11-01 2:07 Sam James
2021-09-22 23:49 John Helmert III
2021-09-22 23:49 John Helmert III
2021-07-17 18:18 David Seifert
2021-07-11 20:51 Sam James
2021-07-11 19:11 John Helmert III
2021-05-24 23:37 John Helmert III
2021-05-24 23:37 John Helmert III
2021-04-16 0:35 Sam James
2021-04-13 7:36 Agostino Sarubbo
2021-03-14 5:36 John Helmert III
2021-03-02 2:42 John Helmert III
2021-02-22 21:29 John Helmert III
2021-01-09 4:21 Sam James
2020-12-27 5:35 Sam James
2020-12-27 5:35 Sam James
2020-12-15 3:43 Sam James
2020-12-13 10:44 Joonas Niilola
2020-10-04 16:13 David Seifert
2020-10-04 16:13 David Seifert
2020-09-23 10:34 Agostino Sarubbo
2020-09-23 10:20 Agostino Sarubbo
2020-07-05 8:24 Joonas Niilola
2020-02-13 12:46 Agostino Sarubbo
2020-02-13 12:03 Agostino Sarubbo
2020-02-12 17:21 Johannes Huber
2020-01-14 22:48 Matt Turner
2020-01-13 20:08 Johannes Huber
2020-01-01 21:12 Johannes Huber
2020-01-01 19:52 Johannes Huber
2020-01-01 19:52 Johannes Huber
2019-10-28 7:41 Agostino Sarubbo
2019-10-27 23:20 Thomas Deutschmann
2019-05-28 20:05 Johannes Huber
2019-05-28 20:05 Johannes Huber
2019-05-28 20:05 Johannes Huber
2018-10-06 21:43 Johannes Huber
2018-09-22 9:10 Michał Górny
2018-09-22 9:04 Michał Górny
2018-08-05 21:48 Patrice Clement
2018-07-23 15:56 Tony Vroon
2018-06-23 17:51 Mikle Kolyada
2018-06-23 8:50 Johannes Huber
2018-06-17 23:29 Thomas Deutschmann
2018-06-14 21:17 Johannes Huber
2018-05-11 11:48 Johannes Huber
2018-05-11 10:55 Michał Górny
2018-05-04 21:05 Patrice Clement
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1577913119.fd045db6c10cdbd2904036bd26f8b5512ded0fb8.johu@gentoo \
--to=johu@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox